GLS ShipIT 5.0.15 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.gls_group.fpcs.v1.parcelshop.ParcelShopPortType Interface Reference

## Public Member Functions
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop | getParcelShopByID ( @WebParam(partName="parcelShopID", name="ParcelShopID", targetNamespace="http://fpcs.gls-group.eu/v1/ParcelShop") java.lang.String parcelShopID) throws InvalidFieldValueMessage, InvalidParcelShopIDMessage, InsufficientPermissionMessage, MandatoryFieldMissingMessage
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ListOfParcelShop | getParcelShopInDistance ( @WebParam(partName="parcelShopSearchDistance", name="ParcelShopSearchDistance", targetNamespace="http://fpcs.gls-group.eu/v1/ParcelShop") eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance parcelShopSearchDistance) throws InvalidFieldValueMessage, InsufficientPermissionMessage, MandatoryFieldMissingMessage
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ListOfParcelShop | getParcelShopInArea ( @WebParam(partName="area", name="Area", targetNamespace="http://fpcs.gls-group.eu/v1/ParcelShop") eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Area area) throws InvalidFieldValueMessage, InsufficientPermissionMessage, MandatoryFieldMissingMessage
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ListOfParcelShop | getParcelShopByCountryCode ( @WebParam(partName="countryCode", name="CountryCode", targetNamespace="http://fpcs.gls-group.eu/v1/ParcelShop") java.lang.String countryCode) throws InvalidFieldValueMessage, InsufficientPermissionMessage, MandatoryFieldMissingMessage
eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ListOfParcelShop | findNearestParcelShopForAddress ( @WebParam(partName="parcelShopSearchLocation", name="ParcelShopSearchLocation", targetNamespace="http://fpcs.gls-group.eu/v1/ParcelShop") eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation parcelShopSearchLocation) throws InvalidFieldValueMessage, InsufficientPermissionMessage, MandatoryFieldMissingMessage

## Detailed Description

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 18 of file ParcelShopPortType.java.

## Member Function Documentation

## ◆ findNearestParcelShopForAddress()

eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ListOfParcelShop eu.gls_group.fpcs.v1.parcelshop.ParcelShopPortType.findNearestParcelShopForAddress | ( | @WebParam(partName="parcelShopSearchLocation", name="ParcelShopSearchLocation", targetNamespace="http://fpcs.gls-group.eu/v1/ParcelShop") eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchLocation | parcelShopSearchLocation | ) | throws InvalidFieldValueMessage, InsufficientPermissionMessage, MandatoryFieldMissingMessage

## ◆ getParcelShopByCountryCode()

eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ListOfParcelShop eu.gls_group.fpcs.v1.parcelshop.ParcelShopPortType.getParcelShopByCountryCode | ( | @WebParam(partName="countryCode", name="CountryCode", targetNamespace="http://fpcs.gls-group.eu/v1/ParcelShop") java.lang.String | countryCode | ) | throws InvalidFieldValueMessage, InsufficientPermissionMessage, MandatoryFieldMissingMessage

## ◆ getParcelShopByID()

eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShop eu.gls_group.fpcs.v1.parcelshop.ParcelShopPortType.getParcelShopByID | ( | @WebParam(partName="parcelShopID", name="ParcelShopID", targetNamespace="http://fpcs.gls-group.eu/v1/ParcelShop") java.lang.String | parcelShopID | ) | throws InvalidFieldValueMessage, InvalidParcelShopIDMessage, InsufficientPermissionMessage, MandatoryFieldMissingMessage

## ◆ getParcelShopInArea()

eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ListOfParcelShop eu.gls_group.fpcs.v1.parcelshop.ParcelShopPortType.getParcelShopInArea | ( | @WebParam(partName="area", name="Area", targetNamespace="http://fpcs.gls-group.eu/v1/ParcelShop") eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.Area | area | ) | throws InvalidFieldValueMessage, InsufficientPermissionMessage, MandatoryFieldMissingMessage

## ◆ getParcelShopInDistance()

eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ListOfParcelShop eu.gls_group.fpcs.v1.parcelshop.ParcelShopPortType.getParcelShopInDistance | ( | @WebParam(partName="parcelShopSearchDistance", name="ParcelShopSearchDistance", targetNamespace="http://fpcs.gls-group.eu/v1/ParcelShop") eu.glsgroup.fpcs.datatypes.soap.v1.parcelshop.ParcelShopSearchDistance | parcelShopSearchDistance | ) | throws InvalidFieldValueMessage, InsufficientPermissionMessage, MandatoryFieldMissingMessage

The documentation for this interface was generated from the following file:

- ParcelShopPortType.java